import { PublicKey } from "@solana/web3.js";
import React from "react";
import { DefaultValues } from "react-hook-form";
import { IMetadataFormProps } from "./TokenMetadataInputs";
interface IEditBountyFormProps extends IMetadataFormProps {
    shortName: string;
    contact: string;
    discussion: string;
    authority: string;
}
export declare const EditBountyFormRaw: ({ mintKey, values, onComplete, hide, }: {
    mintKey: PublicKey;
    values: DefaultValues<IEditBountyFormProps>;
    onComplete?: () => void;
    hide?: Set<string>;
}) => React.JSX.Element;
export declare const EditBountyForm: ({ mintKey, onComplete, hide, }: {
    mintKey: PublicKey;
    onComplete?: () => void;
    hide?: Set<string>;
}) => React.JSX.Element;
export {};
//# sourceMappingURL=EditBountyForm.d.ts.map