import { PublicKey } from "@solana/web3.js";
import React from "react";
import { DefaultValues } from "react-hook-form";
import { IMetadataFormProps } from "./TokenMetadataInputs";
interface IEditMetadataFormProps extends IMetadataFormProps {
    symbol: string;
    mint: string;
    externalUrl: string;
}
export declare const EditMetadataForm: ({ values, onComplete, }: {
    values: DefaultValues<IEditMetadataFormProps>;
    onComplete?: (mintKey: PublicKey) => void;
}) => React.JSX.Element;
export {};
//# sourceMappingURL=EditMetadataForm.d.ts.map