import React from 'react';
interface IRoyaltiesInputsProps {
    symbol: string;
    baseSymbol: string | undefined;
    register: (field: any) => any;
    minBuyTargetRoyaltyPercentage: number | undefined;
    maxBuyTargetRoyaltyPercentage: number | undefined;
    minSellTargetRoyaltyPercentage: number | undefined;
    maxSellTargetRoyaltyPercentage: number | undefined;
    minBuyBaseRoyaltyPercentage: number | undefined;
    maxBuyBaseRoyaltyPercentage: number | undefined;
    minSellBaseRoyaltyPercentage: number | undefined;
    maxSellBaseRoyaltyPercentage: number | undefined;
}
export declare const humanReadablePercentage: (u32: number) => string | 0;
export declare function percentOr(percentu32: number | undefined, def: number): number;
export declare const RoyaltiesInputs: ({ symbol, baseSymbol, register, minBuyTargetRoyaltyPercentage, maxBuyTargetRoyaltyPercentage, minSellTargetRoyaltyPercentage, maxSellTargetRoyaltyPercentage, minBuyBaseRoyaltyPercentage, maxBuyBaseRoyaltyPercentage, minSellBaseRoyaltyPercentage, maxSellBaseRoyaltyPercentage, }: IRoyaltiesInputsProps) => React.JSX.Element;
export {};
//# sourceMappingURL=RoyaltiesInputs.d.ts.map