import { DefaultValues } from "react-hook-form";
import { PublicKey } from "@solana/web3.js";
import { MetadataAccountData as MetadataData } from "@metaplex-foundation/mpl-token-metadata";
import React from "react";
import { MintInfo } from "@solana/spl-token";
interface ITokenAuthorityFormProps {
    mintAuthority: string;
    freezeAuthority: string;
}
export declare const TokenAuthorityForm: ({ values, metadata, mint, mintKey, }: {
    values: DefaultValues<ITokenAuthorityFormProps>;
    metadata: MetadataData | undefined;
    mint: MintInfo | undefined;
    mintKey: PublicKey | undefined;
}) => React.JSX.Element;
export {};
//# sourceMappingURL=TokenAuthorityForm.d.ts.map