"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenPreview = void 0;
const react_1 = require("@chakra-ui/react");
const react_2 = __importDefault(require("react"));
const TokenPreview = ({ data, image }) => {
    return (react_2.default.createElement(react_1.Flex, null,
        image && (react_2.default.createElement(react_1.Image, { alt: "Token logo", w: "70px", h: "70px", borderRadius: "50%", src: image })),
        (data === null || data === void 0 ? void 0 : data.name) && (data === null || data === void 0 ? void 0 : data.symbol) && (react_2.default.createElement(react_1.Stack, { paddingLeft: "10px" },
            react_2.default.createElement(react_1.Text, { fontSize: "2xl", color: "white", textAlign: "left", fontWeight: "bold" }, data === null || data === void 0 ? void 0 : data.name),
            react_2.default.createElement(react_1.Text, { fontSize: "md", color: "white", marginTop: "0 !important" },
                "$", data === null || data === void 0 ? void 0 :
                data.symbol)))));
};
exports.TokenPreview = TokenPreview;
//# sourceMappingURL=TokenPreview.js.map