import { PublicKey } from "@solana/web3.js";
import React from "react";
import { DefaultValues } from "react-hook-form";
import { IMetadataFormProps } from "./TokenMetadataInputs";
interface IBountyFormProps extends IMetadataFormProps {
    mint: string;
    shortName: string;
    contact: string;
    discussion: string;
    authority: string;
}
export declare const BountyForm: ({ defaultValues, onComplete, hide, }: {
    defaultValues?: DefaultValues<IBountyFormProps>;
    onComplete?: (mintKey: PublicKey) => void;
    hide?: Set<string>;
}) => React.JSX.Element;
export {};
//# sourceMappingURL=BountyForm.d.ts.map